<?php

declare(strict_types=1);

namespace App\Framework\Database;

interface ResultInterface extends \IteratorAggregate, \Countable
{
    public function fetch(): ?array;

    public function fetchAll(): array;

    public function fetchColumn(int $column = 0): array;

    public function fetchScalar(): mixed;

    public function rowCount(): int;
}
